Subject: [mpls] Adam Roach's No Objection on draft-ietf-mpls-spring-entropy-label-11: (with COMMENT)

From: Adam Roach <[email-masked]>
Date: Mon, 02 Jul 2018 16:06:00 -0700

Adam Roach has entered the following ballot position for
draft-ietf-mpls-spring-entropy-label-11: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-mpls-spring-entropy-label/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Small process nit:

RFC 7855, which is informational, is listed as a normative reference in this
document, which is PS. I don't see RFC 7855 on the downref registry (
https://datatracker.ietf.org/doc/downref/ ), and this document didn't mention
the downref in its IETF LC announcement (
https://mailarchive.ietf.org/arch/msg/ietf-announce/ROPiwT5P_oM5PYBRoVeY7L_vsFQ
)

RFC 8067 §2 lets the IESG process the document anyway, and I think we should,
but I want to flag this for explicit consideration. This also interacts with
Benjamin's observation that perhaps this document should go back to being
informational.

---------------------------------------------------------------------------

§7.2.3:

>  All
>  routers have an ERLD of 10, expect P1 and P2 which have an ERLD of 4.

Nit: "except"

---

From: "BRUNGARD, DEBORAH A" <[email-masked]>
Date: Tue, 3 Jul 2018 21:29:28 +0000

After some digging on why the down reference was not called out on the Last Call announcement, I realized it was because both the document shepherd and myself forgot to change it on datatracker so Last Call went out as Informational.

The change from Informational to PS was done at a late stage - during RTG Dir review. The document shepherd writeup provides the details of the status change.

The document is on a solution which is especially important for newer segment routing applications. The document had evolved over time from a review of options (and so more appropriate as Informational or BCP) to *one* solution. As Stewart noted there have been mistakes in implementations. I supported PS status.

Hope this helps-
Deborah

-----Original Message-----
From: Adam Roach <[email-masked]> 
Sent: Monday, July 02, 2018 7:06 PM
To: The IESG <[email-masked]>
Cc: [email-masked]; [email-masked]; BRUNGARD, DEBORAH A <[email-masked]>; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Adam Roach's No Objection on draft-ietf-mpls-spring-entropy-label-11: (with COMMENT)

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

Please refer to https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_iesg_statement_discuss-2Dcriteria.html&d=DwIDaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=6UhGpW9lwi9dM7jYlxXD8w&m=VMjYBh1fvoWBe6Ihq_jEve139gaoqkDJXz9Xe_123UI&s=q2FJxy15XrcJTcAMSq2OS43mBaiNUJPJxQL8POwMdzk&e=
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Dietf-2Dmpls-2Dspring-2Dentropy-2Dlabel_&d=DwIDaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=6UhGpW9lwi9dM7jYlxXD8w&m=VMjYBh1fvoWBe6Ihq_jEve139gaoqkDJXz9Xe_123UI&s=D7NLvUbum6MZ1nMt9u36omUgA-u2qTUJF4MIP0qRY_U&e=

Small process nit:

RFC 7855, which is informational, is listed as a normative reference in this document, which is PS. I don't see RFC 7855 on the downref registry ( https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_downref_&d=DwIDaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=6UhGpW9lwi9dM7jYlxXD8w&m=VMjYBh1fvoWBe6Ihq_jEve139gaoqkDJXz9Xe_123UI&s=q7brwHXu7YmxOLNsMPByhK54Cjb3lwA8BLs7JIiE8zw&e= ), and this document didn't mention the downref in its IETF LC announcement ( https://urldefense.proofpoint.com/v2/url?u=https-3A__mailarchive.ietf.org_arch_msg_ietf-2Dannounce_ROPiwT5P-5FoM5PYBRoVeY7L-5FvsFQ&d=DwIDaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=6UhGpW9lwi9dM7jYlxXD8w&m=VMjYBh1fvoWBe6Ihq_jEve139gaoqkDJXz9Xe_123UI&s=xcN5xvAfQYm-DcAXfwiM2JZ-vRSZS-j5BXodXcX-280&e=
)

RFC 8067 §2 lets the IESG process the document anyway, and I think we should, but I want to flag this for explicit consideration. This also interacts with Benjamin's observation that perhaps this document should go back to being informational.

Nit: "except"

---

From: Loa Andersson <[email-masked]>
Date: Wed, 4 Jul 2018 09:38:22 +0200

Folks,

Deborah's description of the is correct. Actually the Shepherd write-up
was changed after the last call was started. I did the change from 
"Informational" to "PS" as an editorial change after the mismatch had
been pointed out, and missed checking for down-refs.

Question: Is it correct to change the Write-up at this point in time?

/Loa

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert
Bronze Dragon Consulting             phone: +46 739 81 21 64